<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from accsum_fdcs.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="accsum_fdcs" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>accsum_fdcs</refname><refpurpose>A Doubly Self Compensated Sum algorithm</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   s = accsum_fdcs ( x )
   [s,e] = accsum_fdcs ( x )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a m-by-n, matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>s :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the highest significant digits of the sum</para></listitem></varlistentry>
   <varlistentry><term>e :</term>
      <listitem><para> a 1-by-1, matrix of doubles, the lowest significant digits of the sum</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
A Doubly Self Compensated Sum algorithm.
Uses the fasttwosum algorithm.
This is a fast implementation, based on compiled source code.
The input data x must be ordered in decreasing magnitude.
To do this, we may use the accsum_order
function with order=5.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
s = accsum_fdcs ( [2 1] ) // 3
s = accsum_fdcs ( [1 2] ) // 3
s = accsum_fdcs ( [2 1] ) // 3
s = accsum_fdcs ( [1 2] ) // 3
x = accsum_wilkinson(10); size(x,"*")
s = sum(x)
x = accsum_order ( x , 5 );
s = accsum_fdcs ( x )
s = accsum_fdcs ( x )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010-2011</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Stability and numerical accuracy of algorithms", Nicolas Higham</para>
   <para>"Handbook of Floating Point Computations", Muller et al</para>
   <para>https://hpcrd.lbl.gov/SCG/ocean/NRS/ECMWF/img14.htm</para>
   <para>https://hpcrd.lbl.gov/SCG/ocean/NRS/SCSsum.F</para>
</refsection>
</refentry>
